Page MenuHomePhabricator

CodeEditor doesn't have a "are you sure you want to leave this page" warning if there are unsaved changes
Closed, ResolvedPublic

Description

If I type some stuff, and hit the back button, there should be a "Are you sure you want to leave this page" warning.


Version: unspecified
Severity: normal

Details

Reference
bz61117

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:54 AM
bzimport added a project: CodeEditor.
bzimport set Reference to bz61117.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Feb 9 2014, 9:48 PM

Change 121559 had a related patch set uploaded by TheDJ:
[Do not merge] Support warning for unsaved changes

https://gerrit.wikimedia.org/r/121559

Change 121558 had a related patch set uploaded by TheDJ:
Edit warning should get value from editors

https://gerrit.wikimedia.org/r/121558

Change 121559 abandoned by TheDJ:
[Do not merge] Support warning for unsaved changes

Reason:
No longer needed with the implementation of PS5 in Change Id: I24d7096929c4eed36376ef9089d7f1b72a0b6682

https://gerrit.wikimedia.org/r/121559

TheDJ added a comment.Jul 14 2014, 9:44 AM
  • Bug 65855 has been marked as a duplicate of this bug. ***

Change 121558 merged by jenkins-bot:
Edit warning should get value from editors

https://gerrit.wikimedia.org/r/121558